%if 0%{?fedora}
%global with_python3 1
%else
%global with_python3 0
%endif

Name:           python-docker-scripts
Version:        0.4.4
Release:        1%{?dist}
Summary:        Collection of scripts to help manage Docker
Group:          Development/Tools
License:        MIT
URL:            https://github.com/goldmann/docker-scripts
Source0:        https://github.com/goldmann/docker-scripts/archive/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  pytest
BuildRequires:  python-mock
BuildRequires:  python-docker-py
Requires:       python-setuptools
Requires:       python-six
Requires:       python-docker-py

%description
A swiss-knife tool that could be useful for people working with Docker.
This is a collection of scripts to deal with Docker images and not only.

%if 0%{?with_python3}
%package -n python3-docker-scripts
Summary:        Summary

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-mock
BuildRequires:  python3-docker-py
Requires:       python3-setuptools
Requires:       python3-six
Requires:       python3-docker-py

%description -n python3-docker-scripts

A swiss-knife tool that could be useful for people working with Docker.
This is a collection of scripts to deal with Docker images and not only.
%endif

%prep
%setup -qn docker-scripts-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%check
py.test -v tests/test_unit*.py

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/docker-scripts %{buildroot}%{_bindir}/docker-scripts3
popd
%endif

%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc README.rst
%license LICENSE
%{_bindir}/docker-scripts
%dir %{python2_sitelib}/docker_scripts
%{python2_sitelib}/docker_scripts/*
%{python2_sitelib}/docker_scripts-%{version}-py2.*.egg-info

%if 0%{?with_python3}
%files -n python3-docker-scripts
%doc README.rst
%license LICENSE
%{_bindir}/docker-scripts3
%dir %{python3_sitelib}/docker_scripts
%{python3_sitelib}/docker_scripts/*
%{python3_sitelib}/docker_scripts-%{version}-py3.*.egg-info
%endif

%changelog
* Mon Jan 18 2016 Martin Milata <mmilata@redhat.com> - 0.4.4-1
- Upstream release 0.4.4

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Marek Goldmann <mgoldman@redhat.com> - 0.4.2-1
- Upstream release 0.4.2

* Tue Jun 02 2015 Marek Goldmann <mgoldman@redhat.com> - 0.4.1-1
- Upstream release 0.4.1

* Wed May 27 2015 Marek Goldmann <mgoldman@redhat.com> - 0.4.0-1
- Upstream release 0.4.0
- Run unit tests at build time

* Mon May 18 2015 Marek Goldmann <mgoldman@redhat.com> - 0.3.8-1
- Upstream release 0.3.8

* Fri May 15 2015 Marek Goldmann <mgoldman@redhat.com> - 0.3.7-1
- Upstream release 0.3.7
- Make sure the /usr/lib/python2.7/site-packages/docker_scripts
  is owned by this package

* Thu May 14 2015 Marek Goldmann <mgoldman@redhat.com> - 0.3.6-1
- Upstream release 0.3.6

* Tue May 12 2015 Marek Goldmann <mgoldman@redhat.com> - 0.3.4-1
- Initial packaging

